<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="impl_1" LaunchPart="xc7z010clg400-1" LaunchTime="1538993359">
  <File Type="WBT-USG" Name="usage_statistics_webtalk.html"/>
  <File Type="BG-DRC" Name="leds.drc"/>
  <File Type="BG-BGN" Name="leds.bgn"/>
  <File Type="BITSTR-SYSDEF" Name="leds.sysdef"/>
  <File Type="BITSTR-LTX" Name="debug_nets.ltx"/>
  <File Type="BITSTR-LTX" Name="leds.ltx"/>
  <File Type="BITSTR-MMI" Name="leds.mmi"/>
  <File Type="BITSTR-BMM" Name="leds_bd.bmm"/>
  <File Type="BITSTR-NKY" Name="leds.nky"/>
  <File Type="BITSTR-RBT" Name="leds.rbt"/>
  <File Type="BITSTR-MSK" Name="leds.msk"/>
  <File Type="BG-BIN" Name="leds.bin"/>
  <File Type="BG-BIT" Name="leds.bit"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-RPX" Name="leds_bus_skew_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-PB" Name="leds_bus_skew_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW" Name="leds_bus_skew_postroute_physopted.rpt"/>
  <File Type="RDI-RDI" Name="leds.vdi"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-RPX" Name="leds_timing_summary_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-PB" Name="leds_timing_summary_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING" Name="leds_timing_summary_postroute_physopted.rpt"/>
  <File Type="POSTROUTE-PHYSOPT-BLACKBOX-DCP" Name="leds_postroute_physopt_bb.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-DCP" Name="leds_postroute_physopt.dcp"/>
  <File Type="ROUTE-BUS-SKEW" Name="leds_bus_skew_routed.rpt"/>
  <File Type="ROUTE-CLK" Name="leds_clock_utilization_routed.rpt"/>
  <File Type="ROUTE-SIMILARITY" Name="leds_incremental_reuse_routed.rpt"/>
  <File Type="ROUTE-TIMING-RPX" Name="leds_timing_summary_routed.rpx"/>
  <File Type="ROUTE-TIMING-PB" Name="leds_timing_summary_routed.pb"/>
  <File Type="ROUTE-TIMINGSUMMARY" Name="leds_timing_summary_routed.rpt"/>
  <File Type="ROUTE-STATUS-PB" Name="leds_route_status.pb"/>
  <File Type="ROUTE-STATUS" Name="leds_route_status.rpt"/>
  <File Type="ROUTE-PWR-RPX" Name="leds_power_routed.rpx"/>
  <File Type="ROUTE-PWR-SUM" Name="leds_power_summary_routed.pb"/>
  <File Type="ROUTE-PWR" Name="leds_power_routed.rpt"/>
  <File Type="ROUTE-METHODOLOGY-DRC-PB" Name="leds_methodology_drc_routed.pb"/>
  <File Type="ROUTE-METHODOLOGY-DRC-RPX" Name="leds_methodology_drc_routed.rpx"/>
  <File Type="ROUTE-METHODOLOGY-DRC" Name="leds_methodology_drc_routed.rpt"/>
  <File Type="ROUTE-DRC-RPX" Name="leds_drc_routed.rpx"/>
  <File Type="ROUTE-DRC-PB" Name="leds_drc_routed.pb"/>
  <File Type="ROUTE-DRC" Name="leds_drc_routed.rpt"/>
  <File Type="ROUTE-BLACKBOX-DCP" Name="leds_routed_bb.dcp"/>
  <File Type="ROUTE-DCP" Name="leds_routed.dcp"/>
  <File Type="ROUTE-ERROR-DCP" Name="leds_routed_error.dcp"/>
  <File Type="PHYSOPT-TIMING" Name="leds_timing_summary_physopted.rpt"/>
  <File Type="PHYSOPT-DRC" Name="leds_drc_physopted.rpt"/>
  <File Type="PHYSOPT-DCP" Name="leds_physopt.dcp"/>
  <File Type="POSTPLACE-PWROPT-TIMING" Name="leds_timing_summary_postplace_pwropted.rpt"/>
  <File Type="POSTPLACE-PWROPT-DCP" Name="leds_postplace_pwropt.dcp"/>
  <File Type="PLACE-TIMING" Name="leds_timing_summary_placed.rpt"/>
  <File Type="PLACE-PRE-SIMILARITY" Name="leds_incremental_reuse_pre_placed.rpt"/>
  <File Type="PLACE-SIMILARITY" Name="leds_incremental_reuse_placed.rpt"/>
  <File Type="PLACE-CTRL" Name="leds_control_sets_placed.rpt"/>
  <File Type="PLACE-UTIL-PB" Name="leds_utilization_placed.pb"/>
  <File Type="PLACE-UTIL" Name="leds_utilization_placed.rpt"/>
  <File Type="PLACE-CLK" Name="leds_clock_utilization_placed.rpt"/>
  <File Type="PLACE-IO" Name="leds_io_placed.rpt"/>
  <File Type="PLACE-DCP" Name="leds_placed.dcp"/>
  <File Type="PWROPT-TIMING" Name="leds_timing_summary_pwropted.rpt"/>
  <File Type="PWROPT-DRC" Name="leds_drc_pwropted.rpt"/>
  <File Type="PWROPT-DCP" Name="leds_pwropt.dcp"/>
  <File Type="OPT-TIMING" Name="leds_timing_summary_opted.rpt"/>
  <File Type="OPT-HWDEF" Name="leds.hwdef"/>
  <File Type="OPT-METHODOLOGY-DRC" Name="leds_methodology_drc_opted.rpt"/>
  <File Type="OPT-DRC" Name="leds_drc_opted.rpt"/>
  <File Type="OPT-DCP" Name="leds_opt.dcp"/>
  <File Type="INIT-TIMING" Name="leds_timing_summary_init.rpt"/>
  <File Type="ROUTE-BUS-SKEW-RPX" Name="leds_bus_skew_routed.rpx"/>
  <File Type="REPORTS-TCL" Name="leds_reports.tcl"/>
  <File Type="ROUTE-BUS-SKEW-PB" Name="leds_bus_skew_routed.pb"/>
  <File Type="PA-TCL" Name="leds.tcl"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PSRCDIR/sources_1/new/leds.vhd">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="leds"/>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PSRCDIR/constrs_1/new/xdc.xdc">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="TargetConstrsFile" Val="$PSRCDIR/constrs_1/new/xdc.xdc"/>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Implementation Defaults" Flow="Vivado Implementation 2018">
      <Desc>Default settings for Implementation.</Desc>
    </StratHandle>
    <Step Id="init_design"/>
    <Step Id="opt_design"/>
    <Step Id="power_opt_design"/>
    <Step Id="place_design"/>
    <Step Id="post_place_power_opt_design"/>
    <Step Id="phys_opt_design"/>
    <Step Id="route_design"/>
    <Step Id="post_route_phys_opt_design"/>
    <Step Id="write_bitstream"/>
  </Strategy>
</GenRun>
